Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# CosTrading::Link Interface Reference

`import "CosTrading.idl";`

Inheritance diagram for CosTrading::Link:

[legend]
Collaboration diagram for CosTrading::Link:

[legend]
List of all members.

## Public Methods
void | add_link (in LinkName name, in Lookup target, in FollowOption def_pass_on_follow_rule, in FollowOption limiting_follow_rule) raises (IllegalLinkName, DuplicateLinkName, InvalidLookupRef, DefaultFollowTooPermissive, LimitingFollowTooPermissive)
void | remove_link (in LinkName name) raises (IllegalLinkName, UnknownLinkName)
LinkInfo | describe_link (in LinkName name) raises (IllegalLinkName, UnknownLinkName)
LinkNameSeq | list_links ()
void | modify_link (in LinkName name, in FollowOption def_pass_on_follow_rule, in FollowOption limiting_follow_rule) raises (IllegalLinkName, UnknownLinkName, DefaultFollowTooPermissive, LimitingFollowTooPermissive)

## Member Function Documentation

void CosTrading::Link::add_link | ( | in LinkName | name,
|  | in Lookup | target,
|  | in FollowOption | def_pass_on_follow_rule,
|  | in FollowOption | limiting_follow_rule
| ) | raises (IllegalLinkName, DuplicateLinkName, InvalidLookupRef, DefaultFollowTooPermissive, LimitingFollowTooPermissive)

LinkInfo CosTrading::Link::describe_link | ( | in LinkName | name | ) | raises (IllegalLinkName, UnknownLinkName)

LinkNameSeq CosTrading::Link::list_links | ( |  | ) |

void CosTrading::Link::modify_link | ( | in LinkName | name,
|  | in FollowOption | def_pass_on_follow_rule,
|  | in FollowOption | limiting_follow_rule
| ) | raises (IllegalLinkName, UnknownLinkName, DefaultFollowTooPermissive, LimitingFollowTooPermissive)

void CosTrading::Link::remove_link | ( | in LinkName | name | ) | raises (IllegalLinkName, UnknownLinkName)

The documentation for this interface was generated from the following file:

- CosTrading.idl